package com.cdrussell.numbergames;

import java.io.IOException;
import java.util.ArrayList;
import java.util.Random;

import org.codehaus.jackson.JsonGenerationException;
import org.codehaus.jackson.map.JsonMappingException;
import org.codehaus.jackson.map.ObjectMapper;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;

/**
 * Launcher activity
 * 
 * @author Russell
 * 
 */
public class MainMenuActivity extends Activity
{
	private static final String TAG = "MainMenuActivity";
	private Random random;
	
	@Override
	protected void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main_menu);

		random = new Random();
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu)
	{
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main_menu, menu);
		return true;
	}
	
	@Override
	public boolean onMenuItemSelected(int featureId, MenuItem item)
	{
		switch(item.getItemId())
		{
			
			case R.id.action_settings:
				Log.d(TAG, "Settings selected)");
				startActivity(new Intent(this, MissingNumberSettingsActivity.class));
				return true;
				
		}
		return super.onMenuItemSelected(featureId, item);
	}

	public void newGameCountUpButtonPressed(View v)
	{
		startActivity(new Intent(this, CountUpActivity.class));
	}

	public void newGameMissingNumberButtonPressed(View v) throws JsonGenerationException, JsonMappingException, IOException
	{
		Intent i = new Intent(this, MissingNumberActivity.class);
		
		startActivity(i);
	}

}
